com.microfocus.awm.meta.modelextension

## Class ModelExtensionAttribute

- java.lang.Object
- - com.microfocus.awm.meta.modelextension.ModelExtensionObject
  - - com.microfocus.awm.meta.modelextension.SimpleModelExtensionAttribute
    - - com.microfocus.awm.meta.modelextension.AbstractModelExtensionAtribute
      - - com.microfocus.awm.meta.modelextension.ModelExtensionAttribute

- All Implemented Interfaces:
    IModelExtensionWithEnabledCondition
  Direct Known Subclasses:
    ToolTypeAttribute

      public class ModelExtensionAttribute
      extends AbstractModelExtensionAtribute

  Simple model extension attribute.
  Author:
    Ralf Pakosch, Christelle Biahmou

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModelExtensionAttribute(java.lang.String pID, java.lang.String pLabel, java.lang.String pCategory, java.lang.String pDescription, boolean pModelLabel, EModelExtensionAttributeType pType, java.lang.String pDefaultValue, java.lang.String pStaticValue, boolean pMandatory, java.util.List<java.lang.String> pRestrictions, FunctionPackageExtension pFunctionPackage)` Advanced constructor.
    `ModelExtensionAttribute(java.lang.String pID, java.lang.String pLabel, java.lang.String pCategory, java.lang.String pDescription, boolean pModelLabel, EModelExtensionAttributeType pType, java.lang.String pDefaultValue, java.lang.String pStaticValue, boolean pMandatory, java.util.List<java.lang.String> pRestrictions, ICustomRestriction<?> pCustomRestriction, FunctionPackageExtension pFunctionPackage)` Advanced constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ICustomRestriction<?>` | `getCustomRestriction()` Gets the `ICustomRestriction`
    `java.lang.String` | `getDefaultValue()` Gets the default value.
    `java.util.List<java.lang.String>` | `getRestrictions()` Gets a list of valid attribute values.
    `java.lang.String` | `getStaticValue()` Gets the static value.
    `EModelExtensionAttributeType` | `getType()` Gets the type.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.AbstractModelExtensionAtribute

      `getEnabledCondition, isModelLabel, setEnabledCondition`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.SimpleModelExtensionAttribute

      `getCategory, getDescription, isMandatory, isMultiLine, setMultiLine`

    - ### Methods inherited from class com.microfocus.awm.meta.modelextension.ModelExtensionObject

      `getFunctionPackageExtension, getHelpContextId, getID, getLabel, isDeprecated, setDeprecated, setHelpContextId`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModelExtensionAttribute

          public ModelExtensionAttribute(java.lang.String pID,
                                         java.lang.String pLabel,
                                         java.lang.String pCategory,
                                         java.lang.String pDescription,
                                         boolean pModelLabel,
                                         EModelExtensionAttributeType pType,
                                         java.lang.String pDefaultValue,
                                         java.lang.String pStaticValue,
                                         boolean pMandatory,
                                         java.util.List<java.lang.String> pRestrictions,
                                         FunctionPackageExtension pFunctionPackage)

      Advanced constructor.
      Parameters:
        `pID` - the ID the attribute
        `pLabel` - the label
        `pCategory` - the category
        `pDescription` - the attribute description
        `pModelLabel` - whether this should be added to the model editor label of the component
        `pType` - the attribute type
        `pDefaultValue` - the default value
        `pStaticValue` - the static value. If not `null`, the attribute will always have this value which will not be changeable e.g. in the model editor.
        `pMandatory` - whether the attribute is mandatory
        `pRestrictions` - the restrictions
        `pFunctionPackage` - the defining function package

    - #### ModelExtensionAttribute

          public ModelExtensionAttribute(java.lang.String pID,
                                         java.lang.String pLabel,
                                         java.lang.String pCategory,
                                         java.lang.String pDescription,
                                         boolean pModelLabel,
                                         EModelExtensionAttributeType pType,
                                         java.lang.String pDefaultValue,
                                         java.lang.String pStaticValue,
                                         boolean pMandatory,
                                         java.util.List<java.lang.String> pRestrictions,
                                         ICustomRestriction<?> pCustomRestriction,
                                         FunctionPackageExtension pFunctionPackage)

      Advanced constructor.
      Parameters:
        `pID` - the ID the attribute
        `pLabel` - the label
        `pCategory` - the category
        `pDescription` - the attribute description
        `pModelLabel` - whether this should be added to the model editor label of the component
        `pType` - the attribute type
        `pDefaultValue` - the default value
        `pStaticValue` - the static value. If not `null`, the attribute will always have this value which will not be changeable e.g. in the model editor.
        `pMandatory` - whether the attribute is mandatory
        `pRestrictions` - the restrictions
        `pCustomRestriction` - the custom restriction attribute. See `ICustomRestriction`. Can be `null`, if no custom restriction was defined.
        `pFunctionPackage` - the defining function package

  - ### Method Detail

    - #### getStaticValue

          public java.lang.String getStaticValue()

      Gets the static value.
      Returns:
        the static value

    - #### getDefaultValue

          public java.lang.String getDefaultValue()

      Gets the default value.
      Returns:
        the default value

    - #### getType

          public EModelExtensionAttributeType getType()

      Gets the type.
      Returns:
        the type

    - #### getRestrictions

          public java.util.List<java.lang.String> getRestrictions()

      Gets a list of valid attribute values.
      Returns:
        the restrictions (can be `null`)

    - #### getCustomRestriction

          public ICustomRestriction<?> getCustomRestriction()

      Gets the `ICustomRestriction`
      Returns:
        the `ICustomRestriction`. Can be `null` if none was set.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ModelExtensionObject`

Copyright © 2015 Micro Focus GmbH. All rights reserved.